import request from '@/utils/request'
const baseUrl = import.meta.env.VITE_APP_BASE_API
// 查询工艺主表列表
export function listTechnological_process(query) {
  return request({
    url: baseUrl + '/base/technological_process/list',
    method: 'get',
    params: query
  })
}

// 查询工艺主表详细
export function getTechnological_process(id) {
  return request({
    url: baseUrl + '/base/technological_process/' + id,
    method: 'get'
  })
}

// 新增工艺主表
export function addTechnological_process(data) {
  return request({
    url: baseUrl + '/base/technological_process',
    method: 'post',
    data: data
  })
}

// 修改工艺主表
export function updateTechnological_process(data) {
  return request({
    url: baseUrl + '/base/technological_process',
    method: 'put',
    data: data
  })
}

// 删除工艺主表
export function delTechnological_process(id) {
  return request({
    url: baseUrl + '/base/technological_process/' + id,
    method: 'delete'
  })
}
